Loading...
Searching...
No Matches
dolfin::GeometryTools Class Reference

This class provides useful tools (functions) for computational geometry. More...

`#include <GeometryTools.h>`

## Public Member Functions

double | determinant (const Point &ab, const Point &dc, const Point &ec)
| Compute determinant of 3 x 3 matrix defined by vectors, ab, dc, ec.

## Static Public Member Functions

static Point | cross_product (const Point &a, const Point &b, const Point &c)
| Compute numerically stable cross product (a - c) x (b - c).
static std::size_t | major_axis_2d (const Point &v)
| Compute major (largest) axis of vector (2D).
static std::size_t | major_axis_3d (const Point &v)
| Compute major (largest) axis of vector (3D).
static double | project_to_axis_2d (const Point &p, std::size_t axis)
| Project point to axis (2D).
static Point | project_to_plane_3d (const Point &p, std::size_t axis)
| Project point to plane (3D).
static bool | contains (double a, double b, double x)
| Check whether x in [a, b].
static bool | contains_strict (double a, double b, double x)
| Check whether x in (a, b).

## Detailed Description

This class provides useful tools (functions) for computational geometry.

The documentation for this class was generated from the following file:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/GeometryTools.h